<template>
  <div class="dashboard-container">
    <div class="dashboard-text">用戶ID: {{ name }}</div>
    <div class="dashboard-text">權限: {{ roles }}</div>

    <div
      v-infinite-scroll="bulletinAction"
      infinite-scroll-disabled="busy"
      style="height:400px;overflow-y:scroll;"
    >
      <el-card
        v-for="(i, index) in bulletinData"
        :key="index"
        shadow="hover"
        class="card"
      >
        <div slot="header">
          <el-row>
            <el-col :span="12">
              <p class="card-header" align="left">{{ i.createDate }}</p>
            </el-col>
            <el-col :span="12">
              <p class="card-header" align="right">{{ i.creater }}</p>
            </el-col>
          </el-row>
        </div>
        <div>{{ i.title }}</div>
      </el-card>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'
import { bulletin } from './action'

export default {
  name: 'Dashboard',
  data() {
    return {
      page: 0,
      bulletinData: [],
      busy: false
    }
  },
  computed: {
    ...mapGetters(['name', 'roles'])
  },
  mounted() {
    this.bulletinAction()
  },
  methods: {
    bulletinAction: function() {
      this.busy = true
      this.loading = true
      bulletin({ page: this.page }).then(res => {
        if (res.status === 'OK') {
          for (var i = 0; i < res.data.content.length; i++) {
            this.bulletinData.push(res.data.content[i])
          }
          if (res.data.content.length > 0) {
            this.page = this.page + 1
          }
        }
      })
      this.busy = false
    }
  }
}
</script>

<style lang="scss" scoped>
.dashboard {
  &-container {
    margin: 30px;
  }
  &-text {
    font-size: 30px;
    line-height: 46px;
  }
}
.card {
  margin: 6px 0;
}
.card-header {
  padding: 0;
  margin: 0;
}
</style>
